﻿package {
	import flash.display.*;
	import flash.events.*;
	import caurina.transitions.Tweener;	// Content_Manager sues Tweener for animation duties 
										// So we'll need to import Tweener
	
	public class Content_Manager extends MovieClip {
		private var host_mc:MovieClip;
		public var current_content:MovieClip;
		private var old_content:Array;
		
		public function Content_Manager( _mc:MovieClip ) {
			host_mc = _mc;
			old_content = new Array();
		}
		
		public function add_content( id ):MovieClip {
			if ( current_content != null ) {
				// Set the tween object that will be applied as content is removed from the stage.
				var close_tween = { y:400, time: 1, transition:"easeoutelastic", onComplete:remove_content };
				Tweener.addTween( current_content, close_tween ); 
				old_content.push( current_content );
			} 
			
			current_content = new id();
			
			// Set the initial properties for content as it moved on to the stage
			current_content.x = 100;
			current_content.y = -400;
			// Set a tween object that will move your content on to the stage
			var open_tween = { y:10, time:1, transition:"easeoutelastic" };
			Tweener.addTween( current_content, open_tween );
			addChild( current_content );
			return current_content;
		}
		
		private function remove_content():void {
			removeChild( old_content[0] );
			old_content.splice( 0, 1 );
		}
	}
}